ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

Specialise

Synopsis

- specProgram :: ModGuts -> CoreM ModGuts
- specUnfolding :: DynFlags -> Subst -> [Var] -> [CoreExpr] -> Unfolding -> Unfolding

# Documentation

specProgram :: ModGuts -> CoreM ModGuts Source #

Specialise calls to type-class overloaded functions occuring in a program.

specUnfolding :: DynFlags -> Subst -> [Var] -> [CoreExpr] -> Unfolding -> Unfolding Source #